org.apache.cassandra.streaming

## Class StreamReply

- java.lang.Object
- - org.apache.cassandra.streaming.StreamReply

-     public class StreamReply
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.apache.cassandra.streaming.StreamReply.Status` | `action`
    `java.lang.String` | `file`
    `static IVersionedSerializer<StreamReply>` | `serializer`
    `java.util.UUID` | `sessionId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamReply(java.lang.String file, java.util.UUID sessionId, org.apache.cassandra.streaming.StreamReply.Status action)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageOut<StreamReply>` | `createMessage()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IVersionedSerializer<StreamReply> serializer

    - #### sessionId

          public final java.util.UUID sessionId

    - #### file

          public final java.lang.String file

    - #### action

          public final org.apache.cassandra.streaming.StreamReply.Status action

  - ### Constructor Detail

    - #### StreamReply

          public StreamReply(java.lang.String file,
                     java.util.UUID sessionId,
                     org.apache.cassandra.streaming.StreamReply.Status action)

  - ### Method Detail

    - #### createMessage

          public MessageOut<StreamReply> createMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation